.window {
    width: 450px;
    max-width: 450px;
    overflow-x: hidden;

    .window-contents {
        display: flex;
        flex-direction: column;
        overflow-x: hidden;
    }
}

.desc {
    margin-bottom: 10px !important;
}

.navigation {
    display: flex;
    width: 100%;
    margin-bottom: 7px;
    box-sizing: border-box;

    label {
        display: flex;
        width: 100%;
        margin: 0;
    }

    input, button {
        padding: 8px 10px;
        border-radius: 8px;
        border: none;
        background-color: rgba(35, 35, 35, 60%);
        font-family: "JetBrains Mono", monospace;
        font-size: 12px;
        font-weight: 400;
        font-style: normal;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
        transition: background-color 0.2s ease;
    }

    input {
        flex: 1;
        min-width: 0;
        width: 100%;
        outline: none;
        color: #fff;
    }

    button {
        flex-shrink: 0;
        margin-left: 7px;
        color: rgba(255, 255, 255, 0.8);
        cursor: pointer;
        white-space: nowrap;
    }

}

.asset-box {
    width: 100%;
    height: 500px;
    overflow-x: hidden;
    overflow-y: scroll;

    .asset-grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(110px, 1fr));
        gap: 5px;
        margin-right: 5px;

        .asset {
            width: 100%;
            height: fit-content;
            min-height: 52px;
            padding: 5px;

            backdrop-filter: blur(6px);
            border-radius: 10px;
            border: 1px solid #444;
            background: rgba(31, 31, 31, 0.36);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);

            box-sizing: border-box;

            display: flex;
            flex-direction: row;

            position: relative;

            align-items: center;
            justify-content: center;

            span {
                font-family: "JetBrains Mono", monospace;
                font-size: 12px;
                font-weight: 400;
                color: white;
                opacity: 0.8;
                transition: opacity 0.3s;
                z-index: 1;
            }

            a {
                position: absolute;
                left: 0;
                right: 0;
                bottom: 0;
                top: 0;
                z-index: 2;
            }

            .hover-background {
                position: absolute;
                left: 0;
                right: 0;
                bottom: 0;
                top: 0;

                opacity: 0;

                background: linear-gradient(45deg, #2193b0, #ba6ded);
                border-radius: 10px;

                transition: opacity 0.3s;
            }
        }

        .asset:hover {
            .hover-background {
                opacity: 0.5;
            }
            span {
                opacity: 1;
            }
        }
    }
}

.asset-box::-webkit-scrollbar {
    width: 8px;
}

.asset-box::-webkit-scrollbar-track {
    background: rgba(35, 35, 35, 60%);
    border-radius: 4px;
}

.asset-box::-webkit-scrollbar-thumb {
    background: linear-gradient(45deg, #2193b0, #ba6ded);
    border-radius: 4px;
}

.asset-box-universal {
    scrollbar-width: thin;
    scrollbar-color: rgba(63, 63, 63, 0.3) rgba(35, 35, 35, 60%)
}
